import gurobi.GRB;
import gurobi.GRBEnv;
import gurobi.GRBException;
import gurobi.GRBLinExpr;
import gurobi.GRBModel;
import gurobi.GRBVar;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.ArrayList;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;

public class InitializeFromFile{	
	
	public static void getObjects(HSSFWorkbook workbook){
		ArrayList<Month> months = Month.importMonths(workbook);
		ArrayList<Vessel> vessels = Vessel.importVessels(workbook);
		ArrayList<SpeedProfile> speedProfiles = SpeedProfile.importSpeedProfiles(workbook);
		ArrayList<VesselSpeedProfile> vesselSpeedProfiles = VesselSpeedProfile.importVesselSpeedProfiles(workbook);
		ArrayList<Position> positions = Position.importPositions(workbook);
		ArrayList<StandardRoute> standardRoutes = StandardRoute.importStandardRoutes(workbook);
		ArrayList<Sailing> sailings = Sailing.importSailings(workbook);
		ArrayList<SailingBallastStart> sailingBallastStarts = SailingBallastStart.importSailingBallastStarts(workbook);
		ArrayList<SailingBallast> sailingBallasts = SailingBallast.importSailingBallasts(workbook);
		ArrayList<CapacityGroup> capacityGroups = CapacityGroup.importCapacityGroups(workbook);
		ArrayList<BalanceCategory> balanceCategories = BalanceCategory.importBalanceCategories(workbook);
		ArrayList<CapacityGroupBalanceCategory> capacityGroupBalanceCategories = CapacityGroupBalanceCategory.importCapacityGroupBalanceCategories(workbook);
		ArrayList<BalanceCategoryStandardRoute> balanceCategoryStandardRoutes = BalanceCategoryStandardRoute.importBalanceCategoryStandardRoutes(workbook);
		ArrayList<Demand> demands = Demand.importDemands(workbook);
		ArrayList<DeckCategory> deckCategories = DeckCategory.importDeckCategories(workbook);
		ArrayList<VesselSetup> vesselSetups = VesselSetup.importVesselSetups(workbook);
		ArrayList<DeckCategoryToDeckCategory> deckCategoryToDeckCategories = DeckCategoryToDeckCategory.importDeckCategoryToDeckCategories(workbook);
	}
}
