import java.util.ArrayList;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.Row;



public class Port {
	String code;
	String name;
	
	
	public Port(String aa, String bb) {
	  this.code = aa;
	  this.name = bb;
	}
	
	
	public static ArrayList<Port> importPorts(HSSFWorkbook workbook){
		HSSFSheet portSheet = workbook.getSheet("Port");
		int numberOfPorts = portSheet.getLastRowNum();
		
		ArrayList<Port> ports = new ArrayList<Port>();
		
		//System.out.println(numberOfPositions);
		
		for (int rowNum = 1; rowNum <= numberOfPorts; rowNum++){
			Row row = portSheet.getRow(rowNum);
			Cell c = row.getCell(0);
			
			if (c != null){
				Cell portCode = row.getCell(0);
				portCode.setCellType(Cell.CELL_TYPE_STRING);
				Cell portName = row.getCell(1);
				portName.setCellType(Cell.CELL_TYPE_STRING);
		  
		  
				ports.add(new Port(
						(String)portCode.getStringCellValue(),
						(String)portName.getStringCellValue()));
		  
				}
		 	}
		
		return ports;
	}
	
}
