import java.util.ArrayList;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.Row;


public class BalanceCategory {
	public String code;

  public BalanceCategory(String aa) {
      code = aa;
  }
   
	public static ArrayList<BalanceCategory> importBalanceCategories(HSSFWorkbook workbook){
  	HSSFSheet balanceCategorySheet = workbook.getSheet("BalanceCategory");
  	int numberOfBalanceCategories = balanceCategorySheet.getLastRowNum();
		
		ArrayList<BalanceCategory> balanceCategories = new ArrayList<BalanceCategory>();
				
		for (int rowNum = 1; rowNum <= numberOfBalanceCategories; rowNum++){
			Row row = balanceCategorySheet.getRow(rowNum);
			Cell c = row.getCell(0);
			
			if (c != null){
			Cell balanceCategoryCode = row.getCell(0);
			balanceCategoryCode.setCellType(Cell.CELL_TYPE_STRING);

			
			balanceCategories.add(new BalanceCategory(
					(String)balanceCategoryCode.getStringCellValue()));
				}
		 	}
		return balanceCategories;
  }
}