import java.util.Arrays;
import java.util.List;


public class GlobalConstants {
	
	// Model Variations
	static double maxDaysDelayed = 0;
	static double penaltyCostPerDayDelayed = 1000000;
	static double costOfNotSailing = 0;
	static double costOfVesselCharter = 100000000.0; // 1E8
	
	// Simulated Annealing Parameters
	static double startTemperature = 1.000000;
	static double maximumDestructions = 30; // 30
	static double maximumPercentageDestructions = 0.30; // 0.40
	static double standardCoolingFactor = 0.99975; // 0.999375;
	static double coolingFactor = 0.99975; // Math.exp(Math.log(Math.pow(standardCoolingFactor, standardMaximumNumberOfIterations)) * (1 / maximumNumberOfIterations));
	
	// Adaptive Large Neighborhood Framework Parameters
	static int numberOfDestroyOperators = 5;
	static int numberOfRepairOperators = 4;
	static int numberOfLocalSearchNeighborhoods = 2;
	static int maxTimer = 10000000; // 10000000 Milliseconds
	static int standardMaximumNumberOfIterations = 25000;
	static int maximumNumberOfIterations = 25000; //10000
	static int maxNumberOfBestIterations = 50;

	// Weight Adjustment Parameters
	static double reactionFactor = 0.1;
	static int segmentSize = 50;
	static int scoreRewardRemovedDummy = 35;
	static int scoreRewardImproved = 15;
	static int scoreRewardAccepted = 5;
	static int resetWeightsEvery = 1000;
	
	// Creating the array list of number of unserviced voyages from the best bound
	static List<Integer> numUnservicedVoyages = Arrays.asList(0, 0, 3, 4, 6, 0, 0, 3, 3, 4, 0, 0, 3, 3, 4);
	static double acceptanceCriteria = 0.01;
	
	// Creating the array list of best bound from the MIP
	static List<Double> bestBounds = Arrays.asList(
			105500d,
			315081759d,
			452056869d,
			657220388d,
			848144664d,
			105500d,
			317940010d,
			449857892d,
			546522378d,
			602629213d,
			105500d,
			317705041d,
			448470516d,
			541348188d,
			597851219d
			);
	// Creating the array list of GAP for quality solutions for the MIP
	static List<Double> qualityGAPs = Arrays.asList(
			0.01,
			0.01,
			0.003363667,
			0.003913898,
			0.002925735,
			0.01,
			0.01,
			0.003330961,
			0.004510185,
			0.003362419,
			0.01,
			0.01,
			0.003256092,
			0.004456701,
			0.003309372
			);
	
	// Creating the array list of GAP for good solutions for the MIP
	static List<Double> goodGAPs = Arrays.asList(
			0.05,
			0.05,
			0.016818336,
			0.019569489,
			0.014628677,
			0.05,
			0.05,
			0.016654803,
			0.022550925,
			0.016812096,
			0.05,
			0.05,
			0.016280458,
			0.022283506,
			0.01654686
			);

}
