import java.util.ArrayList;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.Row;


public class DeckCategoryToDeckCategory {
	public String deckCategoryCodeFrom;
	public String deckCategoryCodeTo;
	public double spaceConsumptionFactor;



  public DeckCategoryToDeckCategory(String aa, String bb, double cc) {
  	deckCategoryCodeFrom = aa;
  	deckCategoryCodeTo = bb;
  	spaceConsumptionFactor = cc;
  }
  
  public static boolean ifPossibleToPut(String deckCategoryCodeFrom, String deckCategoryTo, ArrayList<DeckCategoryToDeckCategory> deckCategoryToDeckCategory){  	
  	for (int k = 0; k < deckCategoryToDeckCategory.size(); k++){
  		if (deckCategoryToDeckCategory.get(k).deckCategoryCodeFrom == deckCategoryCodeFrom && deckCategoryToDeckCategory.get(k).deckCategoryCodeTo == deckCategoryTo){
  			return true;
  		}
  	}
  	return false;
  }
   
	public static ArrayList<DeckCategoryToDeckCategory> importDeckCategoryToDeckCategories(HSSFWorkbook workbook){
  	HSSFSheet deckCategoryToDeckCategorySheet = workbook.getSheet("DeckCategoryToDeckCategory");
  	int numberOfDeckCategoryToDeckCategories = deckCategoryToDeckCategorySheet.getLastRowNum();
		
		ArrayList<DeckCategoryToDeckCategory> deckCategoryToDeckCategories = new ArrayList<DeckCategoryToDeckCategory>();
				
		for (int rowNum = 1; rowNum <= numberOfDeckCategoryToDeckCategories; rowNum++){
			Row row = deckCategoryToDeckCategorySheet.getRow(rowNum);
			
			Cell c = row.getCell(0);
			if (c != null){
			Cell deckCategoryCodeFrom = row.getCell(1);
			deckCategoryCodeFrom.setCellType(Cell.CELL_TYPE_STRING);
			Cell deckCategoryCodeTo = row.getCell(2);
			deckCategoryCodeTo.setCellType(Cell.CELL_TYPE_STRING);
			Cell spaceConsumptionFactor = row.getCell(3);

			
			deckCategoryToDeckCategories.add(new DeckCategoryToDeckCategory(
					(String)deckCategoryCodeFrom.getStringCellValue(),
					(String)deckCategoryCodeTo.getStringCellValue(),
					(double)spaceConsumptionFactor.getNumericCellValue()/100));
				}
		 	}
		return deckCategoryToDeckCategories;
  }
}