
import gurobi.GRBException;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.List;

import org.apache.poi.hssf.usermodel.HSSFWorkbook;

public class Model {
	static List<String> testInstances;
		
		public static void main(String[] args){
			testInstances = TestInstances.testInstances;
			
  	try {
  		
  		/* 
  		 * ------------------ Import data file -----------------------------------
  		 */
  		for (int currentInstance = 0; currentInstance < testInstances.size(); currentInstance++){
  		String problemFile = "../../Test Instances/" + testInstances.get(currentInstance)			
  				;
  		
  		
  		FileInputStream fileInputStream = new FileInputStream(problemFile);
			HSSFWorkbook workbook = new HSSFWorkbook(fileInputStream);
			
  		

  		/* 
  		 * ------------------ Build problem and mixed-integer program from data file ----------------------- 
  		 */
			
			
			Problem problem = new Problem(workbook, problemFile);
			Mip mip = new Mip(problem);
			//ONLY USE WITH SRASO
			//for(int currentSpeedProfile = 0; currentSpeedProfile < problem.speedProfiles.size(); currentSpeedProfile ++){
			
			/*
			 * ------------------ Send mixed-integer program to a chosen solver -----------------------------
			 */
				
			
			// ALNS
			//AdaptiveLargeNeighborhoodSearch alns = new AdaptiveLargeNeighborhoodSearch(mip, problem, currentInstance);
			//alns.solveALNS();	
			
			/*
			//RHH
			RollingHorizonHeuristic rhh = new RollingHorizonHeuristic(mip, currentInstance);
			try {
				rhh.solveRHH();
			} catch (GRBException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
			*/
			// INITIAL SOLUTION
			//mip.findInitialFeasibleSolution();
			
			
			// SOLVE TO OPTIMALITY
			mip.solveExact(currentInstance);
			mip.writeMIPtoFile(currentInstance);
			
			
			// SequentialRoutingAndSpeedOptimization
			//SequentialRoutingAndSpeedOptimization sraso = new SequentialRoutingAndSpeedOptimization(currentInstance, currentSpeedProfile, problem, problem);
			//sraso.solveSRASO();
			
			
			// SOLVE FIXED SOLUTION READ FROM FILE
			//mip.solveFixedLP(variablesFile);

						
			/*
			 * ------------------ Print solution -------------------------------------
			 */
			
			//SolutionPrinter.printSolution(mip.model, problem);

			/*
			// Dispose of model and model environment
			mip.model.dispose();			
			mip.env.dispose();
			*/
		//} //ONLY USE THIS TOKEN WITH SRASO	
  		}} catch (FileNotFoundException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
  	 /*catch(GRBException e) {
      System.out.println("Error code: " + e.getErrorCode() + ". " +
      e.getMessage());    
    }*/
}
}