import java.util.ArrayList;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.Row;


public class Month {
	  public String code;
    public int start;
    public int end;
    public int year;
    public int number;
    
    public Month(String aa, int bb, int cc, int dd, int ee) {
      code = aa;
      start = bb;
      end = cc;
      year = dd;
      number = ee;
    	}
    
    public static ArrayList<Month> importMonths(HSSFWorkbook workbook){
    	HSSFSheet monthSheet = workbook.getSheet("Month");
    	int numberOfMonths = monthSheet.getLastRowNum();
  		
  		ArrayList<Month> months = new ArrayList<Month>();
  				
  		for (int rowNum = 1; rowNum <= numberOfMonths; rowNum++){
  			Row row = monthSheet.getRow(rowNum);
  			Cell c = row.getCell(0);
  			
  			if (c != null){
  			  Cell monthCode = row.getCell(0);
  			  monthCode.setCellType(Cell.CELL_TYPE_STRING);
  				Cell monthStart = row.getCell(1);
  				Cell monthEnd = row.getCell(2);
  				Cell monthYear = row.getCell(3);
  				Cell monthNumber = row.getCell(4);
  		  
  		  months.add(new Month(
						(String)monthCode.getStringCellValue(),
						(int)monthStart.getNumericCellValue(),
						(int)monthEnd.getNumericCellValue(),
						(int)monthYear.getNumericCellValue(),
						(int)monthNumber.getNumericCellValue()));
  				}
  		 	}
  		return months;
    }
	}

