
public class Assignment {
	public double cost;
	public Vessel vessel;
	public int position;
	public double startTime;
	public Position positionAssigned;
	
	// position gives position in schedule
	
	
	// Constructor
	public Assignment(){
		this.cost = GlobalConstants.costOfVesselCharter;
	}
	
	
	
	/*
	 * ------------ Method to reset assignment object ----------------
	 */
	
	public void reset(){
		this.cost = GlobalConstants.costOfVesselCharter;
		this.vessel = null;
		this.position = -1;
		this.startTime = -1;
		this.positionAssigned = null;
	}
	
	
	
	
	/*
	 * ------------ Method to evaluate the best assignment found against the list of possible assignments found for a voyage ---------------
	 */
	
	public void evaluateAgainst(Assignment[] cheapestAssignments){
		
		// Calculate "alternative cost" of not inserting
		double alternativeCost = 0;
		for (int q = 1; q < cheapestAssignments.length; q++){
			alternativeCost += cheapestAssignments[q].cost;
		}
		
		//TEST
		//System.out.println("ALTERNATIVE COST: " + alternativeCost);
		//System.out.println("CHEAPEST COST: " + cheapestAssignments[0].cost);
		

		// If this cost is higher than the alternative cost of the previous best assignment, update best assignment
		if (alternativeCost - cheapestAssignments[0].cost >= this.cost){
			this.cost = alternativeCost - cheapestAssignments[0].cost;
			this.positionAssigned = cheapestAssignments[0].positionAssigned;
			this.position = cheapestAssignments[0].position;
			this.vessel = cheapestAssignments[0].vessel;
		}
		
	}
	
	
}
