import java.util.ArrayList;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.Row;


public class CapacityGroupBalanceCategory {
	public String capacityGroupCode;
	public String balanceCategoryCode;

  public CapacityGroupBalanceCategory(String aa, String bb) {
  	capacityGroupCode = aa;
  	balanceCategoryCode = bb;
  }
   
  public static boolean isBalanceCategoryInCapacityGroup(String balanceCategoryCode, String capacityGroupCode, ArrayList<CapacityGroupBalanceCategory> capacityGroupBalanceCategories){
  	for (int xi = 0; xi < capacityGroupBalanceCategories.size(); xi++){
  		if (capacityGroupBalanceCategories.get(xi).balanceCategoryCode == balanceCategoryCode && capacityGroupBalanceCategories.get(xi).capacityGroupCode == capacityGroupCode){
  			return true;
  		}
  	}
  	return false;
  }
  
  
  
	public static ArrayList<CapacityGroupBalanceCategory> importCapacityGroupBalanceCategories(HSSFWorkbook workbook){
  	HSSFSheet capacityGroupBalanceCategorySheet = workbook.getSheet("CapacityGroupBalanceCategory");
  	int numberOfCapacityGroupBalanceCategoryRows = capacityGroupBalanceCategorySheet.getLastRowNum();
		
		ArrayList<CapacityGroupBalanceCategory> capacityGroupBalanceCategories = new ArrayList<CapacityGroupBalanceCategory>();
				
		for (int rowNum = 1; rowNum <= numberOfCapacityGroupBalanceCategoryRows; rowNum++){
			Row row = capacityGroupBalanceCategorySheet.getRow(rowNum);
			Cell c = row.getCell(0);
			
			if (c != null){
			Cell capacityGroupCode = row.getCell(1);
			capacityGroupCode.setCellType(Cell.CELL_TYPE_STRING);
			Cell balanceCategoryCode = row.getCell(2);
			balanceCategoryCode.setCellType(Cell.CELL_TYPE_STRING);

			
			capacityGroupBalanceCategories.add(new CapacityGroupBalanceCategory(
					(String)capacityGroupCode.getStringCellValue(),
					(String)balanceCategoryCode.getStringCellValue()));
				}
		 	}
		return capacityGroupBalanceCategories;
  }
}