import java.util.ArrayList;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.Row;


public class VesselSpeedProfile {
  public String vesselCode;
  public String speedProfileCode;
	
  
  public VesselSpeedProfile(String aa, String bb) {
    vesselCode = aa;
    speedProfileCode = bb;
  }
  
  
  
  public static ArrayList<VesselSpeedProfile> importVesselSpeedProfiles(HSSFWorkbook workbook){
  	HSSFSheet vesselSpeedProfileSheet = workbook.getSheet("VesselSpeedProfile");
  	int numberOfVesselSpeedProfiles = vesselSpeedProfileSheet.getLastRowNum();
		
		ArrayList<VesselSpeedProfile> vesselSpeedProfiles = new ArrayList<VesselSpeedProfile>();
				
		for (int rowNum = 1; rowNum <= numberOfVesselSpeedProfiles; rowNum++){
			Row row = vesselSpeedProfileSheet.getRow(rowNum);
			Cell c = row.getCell(0);
			
			if (c != null){
			  Cell vesselCode = row.getCell(1);
			  vesselCode.setCellType(Cell.CELL_TYPE_STRING);
			  Cell speedProfileCode = row.getCell(2);
			  speedProfileCode.setCellType(Cell.CELL_TYPE_STRING);
		  
		  vesselSpeedProfiles.add(new VesselSpeedProfile(
					(String)vesselCode.getStringCellValue(),
					(String)speedProfileCode.getStringCellValue()));
				}
		 	}
		return vesselSpeedProfiles;
  }
  
  /*
  public static ArrayList<VesselSpeedProfile> getSpeedOptions(ArrayList<VesselSpeedProfile> vesselSpeedProfiles, String vessel){
  	ArrayList<SpeedProfile> speedProfile = new ArrayList<SpeedProfile>();
  	
  	for (int n = 0; n < vesselSpeedProfiles.size(); n++){
  		if (vesselSpeedProfiles.get(n).vesselCode == vessel){
  			speedProfile.add(new SpeedProfile( 
  					(String)vesselSpeedProfiles.get(n).speedProfileCode));
  		}
  	}
  	return speedProfile;
  }
  */
}
