import java.util.ArrayList;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.Row;


public class SpeedProfile {
  public String code;
		
	public SpeedProfile(String aa) {
	    code = aa;
	  }
	
	public static ArrayList<SpeedProfile> importSpeedProfiles(HSSFWorkbook workbook){
  	HSSFSheet speedProfileSheet = workbook.getSheet("SpeedProfile");
  	int numberOfSpeedProfiles = speedProfileSheet.getLastRowNum();
		
		ArrayList<SpeedProfile> speedProfiles = new ArrayList<SpeedProfile>();
				
		for (int rowNum = 1; rowNum <= numberOfSpeedProfiles; rowNum++){
			Row row = speedProfileSheet.getRow(rowNum);
			Cell c = row.getCell(0);
			
			if (c != null){
			  Cell code = row.getCell(0);
			  code.setCellType(Cell.CELL_TYPE_STRING);
		  
			speedProfiles.add(new SpeedProfile(
					(String)code.getStringCellValue()));	
				}
		 	}
		return speedProfiles;
  }
	
	
	
  public static ArrayList<SpeedProfile> getSpeedOptions(ArrayList<VesselSpeedProfile> vesselSpeedProfiles, Vessel vessel){
  	ArrayList<SpeedProfile> speedProfiles = new ArrayList<SpeedProfile>();
  	
  	
  	for (int n = 0; n < vesselSpeedProfiles.size(); n++){
  		if (vesselSpeedProfiles.get(n).vesselCode.equals(vessel.getVesselCode(vessel))){
  			speedProfiles.add(new SpeedProfile( 
  					(String)vesselSpeedProfiles.get(n).speedProfileCode));
  		}
  	}
  	return speedProfiles;
  }
}
