import java.util.ArrayList;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.Row;


public class BalanceCategoryStandardRoute {
	public String balanceCategoryCode;
	public String standardRouteCode;

  public BalanceCategoryStandardRoute(String aa, String bb) {
  	balanceCategoryCode = aa;
  	standardRouteCode = bb;
  }
  
  
  public static boolean isBalanceCategoryInStandardRoute(String route, String balanceCategoryCode, ArrayList<BalanceCategoryStandardRoute> balanceCategoryStandardRoutes){
  	for (int b_r = 0; b_r < balanceCategoryStandardRoutes.size(); b_r++){
  		if (balanceCategoryCode == balanceCategoryStandardRoutes.get(b_r).balanceCategoryCode && route == balanceCategoryStandardRoutes.get(b_r).standardRouteCode){
  			return true;
  		}
  	}
  	return false;
  }
  
  
  
  /*
   * ----------------------------------- Method to get route code for a balance category -----------------------------
   */
  
  public static String getRouteCode(String balanceCategoryCode, ArrayList<BalanceCategoryStandardRoute> balanceCategoryStandardRoutes){
  	String route = "";
  	
  	for (int b_r = 0; b_r < balanceCategoryStandardRoutes.size(); b_r++){
  		if (balanceCategoryCode.equals(balanceCategoryStandardRoutes.get(b_r).balanceCategoryCode)){
  			route = balanceCategoryStandardRoutes.get(b_r).standardRouteCode;
  		}
  	}
  	return route;
  }
   
  
  
  
  /*
   * ----------------------------------- Method to get evaluate if a balance category is in a route -----------------------------
   */
  
  public static boolean isBalanceCategoryInRoute(String balanceCategoryCode, String routeCode, ArrayList<BalanceCategoryStandardRoute> balanceCategoryStandardRoutes){
  	
  	for (int b_r = 0; b_r < balanceCategoryStandardRoutes.size(); b_r++){
  		if (balanceCategoryCode.equals(balanceCategoryStandardRoutes.get(b_r).balanceCategoryCode) && routeCode.equals(balanceCategoryStandardRoutes.get(b_r).standardRouteCode)){
  			return true;
  		}
  	}
  	
  	return false;
  }
  
  
  
  
	public static ArrayList<BalanceCategoryStandardRoute> importBalanceCategoryStandardRoutes(HSSFWorkbook workbook){
  	HSSFSheet balanceCategoryStandardRouteSheet = workbook.getSheet("BalanceCategoryStandardRoute");
  	int numberOfBalanceCategoryStandardRouteRows = balanceCategoryStandardRouteSheet.getLastRowNum();
		
		ArrayList<BalanceCategoryStandardRoute> balanceCategoryStandardRoutes = new ArrayList<BalanceCategoryStandardRoute>();
				
		for (int rowNum = 1; rowNum <= numberOfBalanceCategoryStandardRouteRows; rowNum++){
			Row row = balanceCategoryStandardRouteSheet.getRow(rowNum);
			Cell c = row.getCell(0);
			
			if (c != null){
			Cell balanceCategoryCode = row.getCell(1);
			balanceCategoryCode.setCellType(Cell.CELL_TYPE_STRING);
			Cell standardRouteCode = row.getCell(2);
			standardRouteCode.setCellType(Cell.CELL_TYPE_STRING);

			
			balanceCategoryStandardRoutes.add(new BalanceCategoryStandardRoute(
					(String)balanceCategoryCode.getStringCellValue(),
					(String)standardRouteCode.getStringCellValue()));
				}
		 	}
		return balanceCategoryStandardRoutes;
  }
}