import java.util.ArrayList;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.Row;


public class DeckCategory {
	public String code;

  public DeckCategory(String aa) {
  	code = aa;
  }
   
	public static ArrayList<DeckCategory> importDeckCategories(HSSFWorkbook workbook){
  	HSSFSheet deckCategorySheet = workbook.getSheet("DeckCategory");
  	int numberOfDeckCategories = deckCategorySheet.getLastRowNum();
		
		ArrayList<DeckCategory> deckCategories = new ArrayList<DeckCategory>();
				
		for (int rowNum = 1; rowNum <= numberOfDeckCategories; rowNum++){
			Row row = deckCategorySheet.getRow(rowNum);
			
			Cell c = row.getCell(0);
			if (c != null){
			Cell code = row.getCell(0);
			code.setCellType(Cell.CELL_TYPE_STRING);

			deckCategories.add(new DeckCategory(
					(String)code.getStringCellValue()));
				}
		 	}
		return deckCategories;
  }
}