import java.util.ArrayList;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.Row;


public class StandardRoute {
  public String code;
  public String portCodeStart;
  public String portCodeEnd;

  public StandardRoute(String aa, String bb, String cc) {
    code = aa;
    portCodeStart = bb;
    portCodeEnd = cc;
  	}
  
  
  public static String getStandardRouteStartPort(ArrayList<StandardRoute> standardRoutes, String route){
  	
  	String startPort = "";
  	
  	for (int n = 0; n < standardRoutes.size(); n++){
  		if (route.equals(standardRoutes.get(n).code)){
  			startPort = standardRoutes.get(n).portCodeStart;
  			return startPort;
  		}
  	}
  	
  	System.out.println("ERROR: startPort not found");
  	System.exit(1);
  	return startPort;
  }
  
  
public static String getStandardRouteEndPort(ArrayList<StandardRoute> standardRoutes, String route){
  	
  	String startPort = "";
  	
  	for (int n = 0; n < standardRoutes.size(); n++){
  		if (route.equals(standardRoutes.get(n).code)){
  			startPort = standardRoutes.get(n).portCodeEnd;
  			return startPort;
  		}
  	}
  	
  	System.out.println("ERROR: startPort not found");
  	System.exit(1);
  	return startPort;
  }
  
  
  
  public static ArrayList<StandardRoute> importStandardRoutes(HSSFWorkbook workbook){
  	HSSFSheet standardRouteSheet = workbook.getSheet("StandardRoute");
  	int numberOfStandardRoutes = standardRouteSheet.getLastRowNum();
		
		ArrayList<StandardRoute> standardRoutes = new ArrayList<StandardRoute>();
				
		for (int rowNum = 1; rowNum <= numberOfStandardRoutes; rowNum++){
			Row row = standardRouteSheet.getRow(rowNum);
			Cell c = row.getCell(0);
			
			if (c != null){
			Cell standardRouteCode = row.getCell(0);
			standardRouteCode.setCellType(Cell.CELL_TYPE_STRING);
		  Cell standardRoutePortCodeStart = row.getCell(1);
		  standardRoutePortCodeStart.setCellType(Cell.CELL_TYPE_STRING);
		  Cell standardRoutePortCodeEnd = row.getCell(2);
		  standardRoutePortCodeEnd.setCellType(Cell.CELL_TYPE_STRING);
		  
		  standardRoutes.add(new StandardRoute(
					(String)standardRouteCode.getStringCellValue(),
					(String)standardRoutePortCodeStart.getStringCellValue(),
					(String)standardRoutePortCodeEnd.getStringCellValue()));
				}
		 	}
		return standardRoutes;
  }
  public String getStandardRouteCode(){
	  return this.code;
  }
}

